- entityDefinitions:
  - IDI_Task_Manufacturer_View:    '{ea4e5645-e802-4394-b95b-98094e28f026}'
  - IDI_Task_Manufacturer_Edit:    '{b320e53e-bece-4678-8983-940e5dfe9e59}'
  - IDE_Manufacturer_View:        '{3f582344-5bf7-44d8-9b76-965de1b0ae56}'
  - IDE_Manufacturer_Edit:        '{88fc305e-d360-44da-b3e9-505cbc22b834}'
  - IDE_Manufacturer_Definition:  '{11699024-c74b-4731-a7c7-b7ff9867c6ff}'
  - IDI_TaskCategory_Manufacturer: '{42f73a25-b1b7-4909-8323-bc6971b4e501}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_Manufacturer;'
    name: 'Manufacturer'

  - sequenceTask: '&IDI_Task_Manufacturer_View;'
    name: 'View Manufacturer'
    initiatingElement: '&IDE_Manufacturer_View;'
    taskCategory: '&IDI_TaskCategory_Manufacturer;'

  - sequenceTask: '&IDI_Task_Manufacturer_Edit;'
    name: 'Edit Manufacturer'
    initiatingElement: '&IDE_Manufacturer_Edit;'
    taskCategory: '&IDI_TaskCategory_Manufacturer;'

  - element: '&IDE_Manufacturer_View;'
    name: 'View Manufacturer'
    elementContents:
    - globalIdentifier: '{6b9d18e9-5661-4b93-b27f-59e00a0a09af}'
      defaultDataType: '&IDC_Manufacturer;'
      label: 'Manufacturer'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{c69a1616-c747-4b0b-9feb-13654c6a7eb9}'
      defaultDataType: '&IDE_Manufacturer_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Manufacturer_Edit;'
    name: 'Edit Manufacturer'
    elementContents:
    - globalIdentifier: '{d7c86626-efc1-4ba0-9075-6990eab6932f}'
      defaultDataType: '&IDC_Manufacturer;'
      label: 'Manufacturer'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{23a00b71-6a89-49e0-af26-3c83b9d99dfd}'
      defaultDataType: '&IDE_Manufacturer_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Manufacturer_Definition;'
    name: 'Manufacturer subedits'
    elementContents:
    # - globalIdentifier: '{6b64a3dc-84c8-4956-a007-4b0f92c52420}'
    #   defaultDataType: '&IDA_Manufacturer;'
    - globalIdentifier: '{bfa7793f-c581-445f-9d68-4c687b54b5e4}'
      defaultDataType: '&IDA_Name;'